Description

Associated revisions

Revision 5f6b2196 - 05/18/2010 04:23 AM - Paul Kelly

Fixes #204 - Remove AS from environments page

Merged import facility in Environment and Puppetclass controllers

History

#1 - 05/07/2010 02:59 PM - Paul Kelly

- Category set to Web Interface

- Status changed from New to Resolved

- Assignee set to Paul Kelly

- Branch set to refactor/204-environment-no-as

Rebased against develop@95131ca23a6b28e295be839964f9663b0e07c559

ActiveScaffold removed from the environment_controller

actionlinks rewritten as action => :index  + a query string

Note that I had to change the puppetclass index method to use Puppetclass.searchlogic() rather than Puppetclass.search(). It is not clear why.

#2 - 05/13/2010 08:23 AM - Ohad Levy

- Status changed from Resolved to Assigned

- Target version set to 0.1-5

I cant merge this as it uses the searchlogic, please remove the search bit and I'll commit it.

e.g. in puppetclass controller:

+    @puppetclasses = Puppetclass.searchlogic(params[:search]).paginate :page => params[:page], :per_page => 15

#3 - 05/13/2010 09:52 AM - Paul Kelly

- Status changed from Assigned to Resolved

Rebased against develop

Changed "searchlogic" to "search"

A future ticket should replace the puppetclass.search mechanism with the tabbed search approach

#4 - 05/13/2010 05:15 PM - Ohad Levy

- Status changed from Resolved to Assigned

looking at the latest branch, it includes an import functionality, which is identical to the puppetclass import, can we some how merge them?
this might avoid the need to change the import method in the Environment model.

#5 - 05/18/2010 04:28 AM - Paul Kelly

- Status changed from Assigned to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 5f6b2196e7bb3283bc2a294cdeba8b59f088812c.

#6 - 05/18/2010 04:29 AM - Ohad Levy

- Status changed from Ready For Testing to Closed

Powered by TCPDF (www.tcpdf.org)

05/11/2024 2/2

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/5f6b2196e7bb3283bc2a294cdeba8b59f088812c
http://www.tcpdf.org

